# SetInWhenClause(bool)

Method in [IndentAwareLexer](/api/csharp/yarn.compiler/yarn.compiler.indentawarelexer.md)

## Summary

Sets a value indicating whether the lexer is currently lexing an expression that's part of a 'when' clause.

```csharp
public virtual void SetInWhenClause(bool val);
```

## Remarks

This value can be accessed by calling [IsInWhenClause()](/api/csharp/yarn.compiler/yarn.compiler.indentawarelexer/yarn.compiler.indentawarelexer.isinwhenclause.md) .

## Parameters

| Name       | Description       |
| ---------- | ----------------- |
| `bool` val | The value to set. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.indentawarelexer/yarn.compiler.indentawarelexer.setinwhenclause.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
